#!/bin/bash

# This script will check dependencies on all bins in
# glftpd's bin directory. By dependencies I mean 
# shared libs, not all kind of config-files and such.

########
# config

# glftpd's root path
GLROOT=/glftpd

# where do you keep your bins?
PATH=/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin

# end of config
###############

BINARS=`ls $GLROOT/bin`
for BINARF in $BINARS; do 
 echo "Checking dependencies for $BINARF"
 MYLDD=`which ldd`
 if [ -e $MYLDD ]; then
  for DEP in `$MYLDD $GLROOT/bin/$BINARF 2>/dev/null | grep "=>" | cut -d '>' -f 2 | cut -d ' ' -f 2`; do
   mkdir -p $GLROOT`dirname $DEP`
   if [ ! -e $GLROOT$DEP ]; then
    echo "copying $DEP to $GLROOT$DEP..."
    cp $DEP $GLROOT$DEP || { echo "failed to copy $DEP to $GLROOT$DEP - please try manually"; };
   fi
  done
 fi
done
exit 0

